import structure.*;

class GrafEksempel1
	{
	
	public static void main (String args[])
	{
		
    GraphMatrix g = new GraphMatrixUndirected(20);
	
		g.add("A");
		g.add("B");
		g.add("C");
		g.add("D");
		g.add("E");
		g.add("F");
		g.add("G");
		g.add("H");
		
		g.addEdge("A", "B", new Integer(5));
		g.addEdge("A", "D", new Integer(7));
		g.addEdge("A", "F", new Integer(6));
		g.addEdge("B", "C", new Integer(3));
		g.addEdge("C", "D", new Integer(2));
		g.addEdge("C", "G", new Integer(8));
		g.addEdge("C", "H", new Integer(5));
		g.addEdge("D", "E", new Integer(3));
		g.addEdge("D", "G", new Integer(6));
		g.addEdge("E", "F", new Integer(4));
		g.addEdge("E", "G", new Integer(2));
		
		System.out.println("Findes vertex A: " + g.contains("A"));
		System.out.println("Afstand fra A til D: " + g.getEdge("A","D").label());
		
		g.remove("A");
		System.out.println("Findes vertex A: " + g.contains("A"));
		g.add("A");
		if (g.containsEdge("A", "D")) 
		{
			System.out.println("Afstand fra A til D: " + g.getEdge("A","D").label());
		}
		else
		{
			System.out.println("Afstand fra A til D: findes ikke");
		}

			

	}
}